package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.YearsEducation;
import com.lightinit.hsdatashow.entity.YearsEducationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface YearsEducationMapper {
    long countByExample(YearsEducationExample example);

    int deleteByExample(YearsEducationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(YearsEducation record);

    int insertSelective(YearsEducation record);

    List<YearsEducation> selectByExample(YearsEducationExample example);

    YearsEducation selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") YearsEducation record, @Param("example") YearsEducationExample example);

    int updateByExample(@Param("record") YearsEducation record, @Param("example") YearsEducationExample example);

    int updateByPrimaryKeySelective(YearsEducation record);

    int updateByPrimaryKey(YearsEducation record);

    List<YearsEducation> selectList(int year);
}